package com.ruoyi.bst.areaSub.service;

import java.util.List;

public interface AreaSubValidator {

    /**
     * 当前用户是否可以编辑子区域
     * @param id 子区域ID
     * @return 是否可以编辑
     */
    boolean canEdit(Long id);

    /**
     * 当前用户是否可以删除子区域
     * @param ids 子区域ID列表
     * @return 是否可以删除
     */
    boolean canDeleteAll(List<Long> ids);
    
}
